<?php
/*****************************************************************************
 * Copyright (C) 2014
 *   
 * Michiel Broek <mbroek at mbse dot eu>
 *
 * This file is part of ThermFerm
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * ThermFerm is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with ThermFerm; see the file COPYING.  If not, write to the Free
 * Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *****************************************************************************/

require_once('utilities.php');


$answer = send_cmd('GLOBAL GET');
$arr = explode("\r\n", $answer);

$temp_value = "NA";
$temp_state = "NA";
$hum_value = "NA";
$hum_state = "NA";

if (startsWith($arr[0], "213")) {
    $j = 1;
    while (1) {
	if (strcmp($arr[$j], ".") == 0)
	    break;
	$f = explode(",", $arr[$j]);

	if ($f[0] == "TEMP_STATE")
		$temp_state = $f[1];
	if (($f[0] == "TEMP_VALUE") && ($temp_state == "OK"))
		$temp_value = $f[1].' &deg;C';
	if ($f[0] == "HUM_STATE")
		$hum_state = $f[1];
	if (($f[0] == "HUM_VALUE") && ($hum_state == "OK"))
		$hum_value = $f[1].' %';
	$j++;
    }
}


$reply = array (
    'temperature' => $temp_value,
    'humidity'    => $hum_value
);


echo json_encode($reply);
?>
